// trieda premennych a funkcii pre pracu s jednoduchymi OpenGL objektmi
class mObjects {
public:
 mObjects();          // konstruktor
 virtual ~mObjects(); // destruktor

 void obj_axis(GLfloat color);     // deklaracia objektov - suradnicova sustava
 void obj_XZplane(GLfloat color);  // deklaracia objektov - XZ sachovnica
 void obj_XZplane1(GLfloat color); // deklaracia objektov - XZ fill sachovnica
 void obj_cube0(GLfloat size);     // deklaracia objektov - kocka biela
 void obj_cube1(GLfloat size);     // deklaracia objektov - kocka farebna
 void obj_cube2(GLfloat size);     // deklaracia objektov - kocka ftexturovana
 // deklaracia objektov - kocka texturovana s normalou v kazdom vrchole
 void obj_cube2N(GLfloat size);

 // inicializacia kvadratickych objektov
 int obj_quadratic_init(void);
 // vykreslenie kvadratickeho objektu
 void obj_quadratic(GLuint type,GLfloat param,GLfloat color);

 int obj_skybox_init(char *mydir); // inicializacia skyboxu
 void obj_skybox_draw(void);       // vykreslenie skyboxu
private:
 GLfloat t_a,t_b; // pomocne premenne

 GLuint skybox_tex_id[6]; // identifikatory textur skybox
 GLuint skybox_DL_id;     // identifikator displaylist skybox
};
